Package help.validator.location

# Class GeneratedDirectoryHelpModuleLocation

java.lang.Object
help.validator.location.HelpModuleLocation
help.validator.location.DirectoryHelpModuleLocation
help.validator.location.GeneratedDirectoryHelpModuleLocation

public class GeneratedDirectoryHelpModuleLocation extends DirectoryHelpModuleLocation
Represents a directory that holds generated content. At the time of writing, the only known such input is the 'tips of the day' html file that is created from a text file.

- ## Field Summary

  ### Fields inherited from class help.validator.location.HelpModuleLocation

  `helpDir, sourceTOCFile`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeneratedDirectoryHelpModuleLocation(File file)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isHelpInputSource()`
  Returns true if this help location represents a source of input files to generate help output
  `GhidraTOCFile`
  `loadSourceTOCFile()`

  ### Methods inherited from class help.validator.location.DirectoryHelpModuleLocation

  `loadHelpSet`

  ### Methods inherited from class help.validator.location.HelpModuleLocation

  `getAllHREFs, getAllIMGs, getHelpLocation, getHelpModuleLocation, getHelpTopics, getModuleRepoRoot, loadHelpTopics, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GeneratedDirectoryHelpModuleLocation

    public GeneratedDirectoryHelpModuleLocation(File file)

- ## Method Details

  - ### loadSourceTOCFile

    public GhidraTOCFile loadSourceTOCFile()
    Overrides:
      `loadSourceTOCFile` in class `DirectoryHelpModuleLocation`

  - ### isHelpInputSource

    public boolean isHelpInputSource()
    Description copied from class: `HelpModuleLocation`
    Returns true if this help location represents a source of input files to generate help output
    Overrides:
      `isHelpInputSource` in class `DirectoryHelpModuleLocation`
    Returns:
      true if this help location represents a source of input files to generate help output